/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ022DS00.java

*

* Created on 12/02/09 10:58:45

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public interface Q02bITablaBDQ022DS00 {

    /** Method reset */

    public void reset();



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna);



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect();



    /** Method freeResources() 

    * Este método libera los recursos del DAO.

    */

    public void freeResources();



    /** Method freeResourcesNotConnection() 

    * Este método libera los recursos del DAO.

    */

    public void freeResourcesNotConnection();



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect();



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas);



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas);



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom();



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif();



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead();



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur);



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate();



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu);



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas);



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy();



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException ;



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException ;



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException;



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException;



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException;



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException;



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException;



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException;



    /** Method update() */

    public void update()throws SQLException;



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException;



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException;



    /** Method delete */

    public void delete()throws SQLException;



    /** Method insert */

    public void insert()throws SQLException;



    /** Setter for property Q022BT00_ID_GRUPO.

    * @param valor New value of propertyQ022BT00_ID_GRUPO.

    */

    public void setQ022BT00_ID_GRUPO(int valor);

    public void setQ022BT00_ID_GRUPO(Integer valor);

    public void setQ022BT00_ID_GRUPO_WHERE(int valor);

    public void setQ022BT00_ID_GRUPO_WHERE(Integer valor);

    public void setQ022BT00_ID_GRUPO_MODIF(boolean valor);

    /** Setter for property Q022DT00_ID_CUES.

    * @param valor New value of propertyQ022DT00_ID_CUES.

    */

    public void setQ022DT00_ID_CUES(long valor);

    public void setQ022DT00_ID_CUES(Long valor);

    public void setQ022DT00_ID_CUES_WHERE(long valor);

    public void setQ022DT00_ID_CUES_WHERE(Long valor);

    public void setQ022DT00_ID_CUES_MODIF(boolean valor);

    /** Setter for property Q022DT00_IDEN_LICEN.

    * @param valor New value of propertyQ022DT00_IDEN_LICEN.

    */

    public void setQ022DT00_IDEN_LICEN(String valor);

    public void setQ022DT00_IDEN_LICEN_WHERE(String valor);

    public void setQ022DT00_IDEN_LICEN_MODIF(boolean valor);

    /** Setter for property Q022DT00_FEC_ENT.

    * @param valor New value of propertyQ022DT00_FEC_ENT.

    */

    public void setQ022DT00_FEC_ENT(java.util.Date valor);

    public void setQ022DT00_FEC_ENT_WHERE(java.util.Date valor);

    public void setQ022DT00_FEC_ENT_MODIF(boolean valor);

    /** Setter for property Q022DT00_ESTADO_LICEN.

    * @param valor New value of propertyQ022DT00_ESTADO_LICEN.

    */

    public void setQ022DT00_ESTADO_LICEN(String valor);

    public void setQ022DT00_ESTADO_LICEN_WHERE(String valor);

    public void setQ022DT00_ESTADO_LICEN_MODIF(boolean valor);

    /** Setter for property Q022DT00_CAUSA_BAJA.

    * @param valor New value of propertyQ022DT00_CAUSA_BAJA.

    */

    public void setQ022DT00_CAUSA_BAJA(String valor);

    public void setQ022DT00_CAUSA_BAJA_WHERE(String valor);

    public void setQ022DT00_CAUSA_BAJA_MODIF(boolean valor);

    /** Setter for property Q022DT00_ENTI.

    * @param valor New value of propertyQ022DT00_ENTI.

    */

    public void setQ022DT00_ENTI(long valor);

    public void setQ022DT00_ENTI(Long valor);

    public void setQ022DT00_ENTI_WHERE(long valor);

    public void setQ022DT00_ENTI_WHERE(Long valor);

    public void setQ022DT00_ENTI_MODIF(boolean valor);

    /** Setter for property Q022DT00_TVIA.

    * @param valor New value of propertyQ022DT00_TVIA.

    */

    public void setQ022DT00_TVIA(String valor);

    public void setQ022DT00_TVIA_WHERE(String valor);

    public void setQ022DT00_TVIA_MODIF(boolean valor);

    /** Setter for property Q022DT00_CALLE.

    * @param valor New value of propertyQ022DT00_CALLE.

    */

    public void setQ022DT00_CALLE(long valor);

    public void setQ022DT00_CALLE(Long valor);

    public void setQ022DT00_CALLE_WHERE(long valor);

    public void setQ022DT00_CALLE_WHERE(Long valor);

    public void setQ022DT00_CALLE_MODIF(boolean valor);

    /** Setter for property Q022DT00_POR_CL_POR.

    * @param valor New value of propertyQ022DT00_POR_CL_POR.

    */

    public void setQ022DT00_POR_CL_POR(long valor);

    public void setQ022DT00_POR_CL_POR(Long valor);

    public void setQ022DT00_POR_CL_POR_WHERE(long valor);

    public void setQ022DT00_POR_CL_POR_WHERE(Long valor);

    public void setQ022DT00_POR_CL_POR_MODIF(boolean valor);

    /** Setter for property Q022DT00_BLOQ.

    * @param valor New value of propertyQ022DT00_BLOQ.

    */

    public void setQ022DT00_BLOQ(String valor);

    public void setQ022DT00_BLOQ_WHERE(String valor);

    public void setQ022DT00_BLOQ_MODIF(boolean valor);

    /** Setter for property Q022DT00_NUME.

    * @param valor New value of propertyQ022DT00_NUME.

    */

    public void setQ022DT00_NUME(int valor);

    public void setQ022DT00_NUME(Integer valor);

    public void setQ022DT00_NUME_WHERE(int valor);

    public void setQ022DT00_NUME_WHERE(Integer valor);

    public void setQ022DT00_NUME_MODIF(boolean valor);

    /** Setter for property Q022DT00_BIS.

    * @param valor New value of propertyQ022DT00_BIS.

    */

    public void setQ022DT00_BIS(String valor);

    public void setQ022DT00_BIS_WHERE(String valor);

    public void setQ022DT00_BIS_MODIF(boolean valor);

    /** Setter for property Q022DT00_CDIR.

    * @param valor New value of propertyQ022DT00_CDIR.

    */

    public void setQ022DT00_CDIR(String valor);

    public void setQ022DT00_CDIR_WHERE(String valor);

    public void setQ022DT00_CDIR_MODIF(boolean valor);

    /** Setter for property Q022DT00_RS_PROMO.

    * @param valor New value of propertyQ022DT00_RS_PROMO.

    */

    public void setQ022DT00_RS_PROMO(String valor);

    public void setQ022DT00_RS_PROMO_WHERE(String valor);

    public void setQ022DT00_RS_PROMO_MODIF(boolean valor);

    /** Setter for property Q022DT00_CIF_DNI.

    * @param valor New value of propertyQ022DT00_CIF_DNI.

    */

    public void setQ022DT00_CIF_DNI(String valor);

    public void setQ022DT00_CIF_DNI_WHERE(String valor);

    public void setQ022DT00_CIF_DNI_MODIF(boolean valor);

    /** Setter for property Q022DT00_MUN_PROV.

    * @param valor New value of propertyQ022DT00_MUN_PROV.

    */

    public void setQ022DT00_MUN_PROV(String valor);

    public void setQ022DT00_MUN_PROV_WHERE(String valor);

    public void setQ022DT00_MUN_PROV_MODIF(boolean valor);

    /** Setter for property Q022DT00_MUN_MUNI.

    * @param valor New value of propertyQ022DT00_MUN_MUNI.

    */

    public void setQ022DT00_MUN_MUNI(String valor);

    public void setQ022DT00_MUN_MUNI_WHERE(String valor);

    public void setQ022DT00_MUN_MUNI_MODIF(boolean valor);

    /** Setter for property Q022DT00_ENTI_PRO.

    * @param valor New value of propertyQ022DT00_ENTI_PRO.

    */

    public void setQ022DT00_ENTI_PRO(long valor);

    public void setQ022DT00_ENTI_PRO(Long valor);

    public void setQ022DT00_ENTI_PRO_WHERE(long valor);

    public void setQ022DT00_ENTI_PRO_WHERE(Long valor);

    public void setQ022DT00_ENTI_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_TVIA_PRO.

    * @param valor New value of propertyQ022DT00_TVIA_PRO.

    */

    public void setQ022DT00_TVIA_PRO(String valor);

    public void setQ022DT00_TVIA_PRO_WHERE(String valor);

    public void setQ022DT00_TVIA_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_CALLE_PRO.

    * @param valor New value of propertyQ022DT00_CALLE_PRO.

    */

    public void setQ022DT00_CALLE_PRO(long valor);

    public void setQ022DT00_CALLE_PRO(Long valor);

    public void setQ022DT00_CALLE_PRO_WHERE(long valor);

    public void setQ022DT00_CALLE_PRO_WHERE(Long valor);

    public void setQ022DT00_CALLE_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_POR_CL_POR_PRO.

    * @param valor New value of propertyQ022DT00_POR_CL_POR_PRO.

    */

    public void setQ022DT00_POR_CL_POR_PRO(long valor);

    public void setQ022DT00_POR_CL_POR_PRO(Long valor);

    public void setQ022DT00_POR_CL_POR_PRO_WHERE(long valor);

    public void setQ022DT00_POR_CL_POR_PRO_WHERE(Long valor);

    public void setQ022DT00_POR_CL_POR_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_BLOQ_PRO.

    * @param valor New value of propertyQ022DT00_BLOQ_PRO.

    */

    public void setQ022DT00_BLOQ_PRO(String valor);

    public void setQ022DT00_BLOQ_PRO_WHERE(String valor);

    public void setQ022DT00_BLOQ_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_NUME_PRO.

    * @param valor New value of propertyQ022DT00_NUME_PRO.

    */

    public void setQ022DT00_NUME_PRO(int valor);

    public void setQ022DT00_NUME_PRO(Integer valor);

    public void setQ022DT00_NUME_PRO_WHERE(int valor);

    public void setQ022DT00_NUME_PRO_WHERE(Integer valor);

    public void setQ022DT00_NUME_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_BIS_PRO.

    * @param valor New value of propertyQ022DT00_BIS_PRO.

    */

    public void setQ022DT00_BIS_PRO(String valor);

    public void setQ022DT00_BIS_PRO_WHERE(String valor);

    public void setQ022DT00_BIS_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_CDIR_PRO.

    * @param valor New value of propertyQ022DT00_CDIR_PRO.

    */

    public void setQ022DT00_CDIR_PRO(String valor);

    public void setQ022DT00_CDIR_PRO_WHERE(String valor);

    public void setQ022DT00_CDIR_PRO_MODIF(boolean valor);

    /** Setter for property Q022DT00_TLF.

    * @param valor New value of propertyQ022DT00_TLF.

    */

    public void setQ022DT00_TLF(String valor);

    public void setQ022DT00_TLF_WHERE(String valor);

    public void setQ022DT00_TLF_MODIF(boolean valor);

    /** Setter for property Q022DT00_MAIL.

    * @param valor New value of propertyQ022DT00_MAIL.

    */

    public void setQ022DT00_MAIL(String valor);

    public void setQ022DT00_MAIL_WHERE(String valor);

    public void setQ022DT00_MAIL_MODIF(boolean valor);

    /** Setter for property Q022DT00_FAX.

    * @param valor New value of propertyQ022DT00_FAX.

    */

    public void setQ022DT00_FAX(String valor);

    public void setQ022DT00_FAX_WHERE(String valor);

    public void setQ022DT00_FAX_MODIF(boolean valor);

    /** Setter for property Q022DT00_WEB.

    * @param valor New value of propertyQ022DT00_WEB.

    */

    public void setQ022DT00_WEB(String valor);

    public void setQ022DT00_WEB_WHERE(String valor);

    public void setQ022DT00_WEB_MODIF(boolean valor);

    /** Setter for property Q022DT00_PRESUPUESTO.

    * @param valor New value of propertyQ022DT00_PRESUPUESTO.

    */

    public void setQ022DT00_PRESUPUESTO(double valor);

    public void setQ022DT00_PRESUPUESTO(Double valor);

    public void setQ022DT00_PRESUPUESTO_WHERE(double valor);

    public void setQ022DT00_PRESUPUESTO_WHERE(Double valor);

    public void setQ022DT00_PRESUPUESTO_MODIF(boolean valor);

    /** Setter for property Q022DT00_F_INI.

    * @param valor New value of propertyQ022DT00_F_INI.

    */

    public void setQ022DT00_F_INI(java.util.Date valor);

    public void setQ022DT00_F_INI_WHERE(java.util.Date valor);

    public void setQ022DT00_F_INI_MODIF(boolean valor);

    /** Setter for property Q022DT00_F_FIN.

    * @param valor New value of propertyQ022DT00_F_FIN.

    */

    public void setQ022DT00_F_FIN(java.util.Date valor);

    public void setQ022DT00_F_FIN_WHERE(java.util.Date valor);

    public void setQ022DT00_F_FIN_MODIF(boolean valor);

    /** Setter for property Q022DT00_TIPO_OBRA.

    * @param valor New value of propertyQ022DT00_TIPO_OBRA.

    */

    public void setQ022DT00_TIPO_OBRA(String valor);

    public void setQ022DT00_TIPO_OBRA_WHERE(String valor);

    public void setQ022DT00_TIPO_OBRA_MODIF(boolean valor);

    /** Setter for property Q022DT00_USO_RES.

    * @param valor New value of propertyQ022DT00_USO_RES.

    */

    public void setQ022DT00_USO_RES(String valor);

    public void setQ022DT00_USO_RES_WHERE(String valor);

    public void setQ022DT00_USO_RES_MODIF(boolean valor);

    /** Setter for property Q022DT00_ACTIVIDAD.

    * @param valor New value of propertyQ022DT00_ACTIVIDAD.

    */

    public void setQ022DT00_ACTIVIDAD(String valor);

    public void setQ022DT00_ACTIVIDAD_WHERE(String valor);

    public void setQ022DT00_ACTIVIDAD_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVN.

    * @param valor New value of propertyQ022DT00_NVN.

    */

    public void setQ022DT00_NVN(int valor);

    public void setQ022DT00_NVN(Integer valor);

    public void setQ022DT00_NVN_WHERE(int valor);

    public void setQ022DT00_NVN_WHERE(Integer valor);

    public void setQ022DT00_NVN_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVR.

    * @param valor New value of propertyQ022DT00_NVR.

    */

    public void setQ022DT00_NVR(int valor);

    public void setQ022DT00_NVR(Integer valor);

    public void setQ022DT00_NVR_WHERE(int valor);

    public void setQ022DT00_NVR_WHERE(Integer valor);

    public void setQ022DT00_NVR_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVL.

    * @param valor New value of propertyQ022DT00_NVL.

    */

    public void setQ022DT00_NVL(int valor);

    public void setQ022DT00_NVL(Integer valor);

    public void setQ022DT00_NVL_WHERE(int valor);

    public void setQ022DT00_NVL_WHERE(Integer valor);

    public void setQ022DT00_NVL_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVVPO.

    * @param valor New value of propertyQ022DT00_NVVPO.

    */

    public void setQ022DT00_NVVPO(int valor);

    public void setQ022DT00_NVVPO(Integer valor);

    public void setQ022DT00_NVVPO_WHERE(int valor);

    public void setQ022DT00_NVVPO_WHERE(Integer valor);

    public void setQ022DT00_NVVPO_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVVS.

    * @param valor New value of propertyQ022DT00_NVVS.

    */

    public void setQ022DT00_NVVS(int valor);

    public void setQ022DT00_NVVS(Integer valor);

    public void setQ022DT00_NVVS_WHERE(int valor);

    public void setQ022DT00_NVVS_WHERE(Integer valor);

    public void setQ022DT00_NVVS_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVPOT.

    * @param valor New value of propertyQ022DT00_NVPOT.

    */

    public void setQ022DT00_NVPOT(int valor);

    public void setQ022DT00_NVPOT(Integer valor);

    public void setQ022DT00_NVPOT_WHERE(int valor);

    public void setQ022DT00_NVPOT_WHERE(Integer valor);

    public void setQ022DT00_NVPOT_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVALDOT.

    * @param valor New value of propertyQ022DT00_NVALDOT.

    */

    public void setQ022DT00_NVALDOT(int valor);

    public void setQ022DT00_NVALDOT(Integer valor);

    public void setQ022DT00_NVALDOT_WHERE(int valor);

    public void setQ022DT00_NVALDOT_WHERE(Integer valor);

    public void setQ022DT00_NVALDOT_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVREAL.

    * @param valor New value of propertyQ022DT00_NVREAL.

    */

    public void setQ022DT00_NVREAL(int valor);

    public void setQ022DT00_NVREAL(Integer valor);

    public void setQ022DT00_NVREAL_WHERE(int valor);

    public void setQ022DT00_NVREAL_WHERE(Integer valor);

    public void setQ022DT00_NVREAL_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVVTMG.

    * @param valor New value of propertyQ022DT00_NVVTMG.

    */

    public void setQ022DT00_NVVTMG(int valor);

    public void setQ022DT00_NVVTMG(Integer valor);

    public void setQ022DT00_NVVTMG_WHERE(int valor);

    public void setQ022DT00_NVVTMG_WHERE(Integer valor);

    public void setQ022DT00_NVVTMG_MODIF(boolean valor);

    /** Setter for property Q022DT00_NVVTME.

    * @param valor New value of propertyQ022DT00_NVVTME.

    */

    public void setQ022DT00_NVVTME(int valor);

    public void setQ022DT00_NVVTME(Integer valor);

    public void setQ022DT00_NVVTME_WHERE(int valor);

    public void setQ022DT00_NVVTME_WHERE(Integer valor);

    public void setQ022DT00_NVVTME_MODIF(boolean valor);

    /** Setter for property Q022DT00_NTOT.

    * @param valor New value of propertyQ022DT00_NTOT.

    */

    public void setQ022DT00_NTOT(int valor);

    public void setQ022DT00_NTOT(Integer valor);

    public void setQ022DT00_NTOT_WHERE(int valor);

    public void setQ022DT00_NTOT_WHERE(Integer valor);

    public void setQ022DT00_NTOT_MODIF(boolean valor);

    /** Setter for property Q022DT00_NSP45.

    * @param valor New value of propertyQ022DT00_NSP45.

    */

    public void setQ022DT00_NSP45(int valor);

    public void setQ022DT00_NSP45(Integer valor);

    public void setQ022DT00_NSP45_WHERE(int valor);

    public void setQ022DT00_NSP45_WHERE(Integer valor);

    public void setQ022DT00_NSP45_MODIF(boolean valor);

    /** Setter for property Q022DT00_NSP75.

    * @param valor New value of propertyQ022DT00_NSP75.

    */

    public void setQ022DT00_NSP75(int valor);

    public void setQ022DT00_NSP75(Integer valor);

    public void setQ022DT00_NSP75_WHERE(int valor);

    public void setQ022DT00_NSP75_WHERE(Integer valor);

    public void setQ022DT00_NSP75_MODIF(boolean valor);

    /** Setter for property Q022DT00_NSP90.

    * @param valor New value of propertyQ022DT00_NSP90.

    */

    public void setQ022DT00_NSP90(int valor);

    public void setQ022DT00_NSP90(Integer valor);

    public void setQ022DT00_NSP90_WHERE(int valor);

    public void setQ022DT00_NSP90_WHERE(Integer valor);

    public void setQ022DT00_NSP90_MODIF(boolean valor);

    /** Setter for property Q022DT00_NSP120.

    * @param valor New value of propertyQ022DT00_NSP120.

    */

    public void setQ022DT00_NSP120(int valor);

    public void setQ022DT00_NSP120(Integer valor);

    public void setQ022DT00_NSP120_WHERE(int valor);

    public void setQ022DT00_NSP120_WHERE(Integer valor);

    public void setQ022DT00_NSP120_MODIF(boolean valor);

    /** Setter for property Q022DT00_NSPT.

    * @param valor New value of propertyQ022DT00_NSPT.

    */

    public void setQ022DT00_NSPT(int valor);

    public void setQ022DT00_NSPT(Integer valor);

    public void setQ022DT00_NSPT_WHERE(int valor);

    public void setQ022DT00_NSPT_WHERE(Integer valor);

    public void setQ022DT00_NSPT_MODIF(boolean valor);

    /** Setter for property Q022DT00_PRINC_USO.

    * @param valor New value of propertyQ022DT00_PRINC_USO.

    */

    public void setQ022DT00_PRINC_USO(String valor);

    public void setQ022DT00_PRINC_USO_WHERE(String valor);

    public void setQ022DT00_PRINC_USO_MODIF(boolean valor);

    /** Setter for property Q022DT00_PU_ESPECIF.

    * @param valor New value of propertyQ022DT00_PU_ESPECIF.

    */

    public void setQ022DT00_PU_ESPECIF(String valor);

    public void setQ022DT00_PU_ESPECIF_WHERE(String valor);

    public void setQ022DT00_PU_ESPECIF_MODIF(boolean valor);

    /** Setter for property Q022DT00_PRECIO_MED.

    * @param valor New value of propertyQ022DT00_PRECIO_MED.

    */

    public void setQ022DT00_PRECIO_MED(double valor);

    public void setQ022DT00_PRECIO_MED(Double valor);

    public void setQ022DT00_PRECIO_MED_WHERE(double valor);

    public void setQ022DT00_PRECIO_MED_WHERE(Double valor);

    public void setQ022DT00_PRECIO_MED_MODIF(boolean valor);

    /** Setter for property Q022DT00_OBS.

    * @param valor New value of propertyQ022DT00_OBS.

    */

    public void setQ022DT00_OBS(String valor);

    public void setQ022DT00_OBS_WHERE(String valor);

    public void setQ022DT00_OBS_MODIF(boolean valor);

    /** Getter for property Q022BT00_ID_GRUPO.

    * @return Value of property Q022BT00_ID_GRUPO.

    */

    public Integer getQ022BT00_ID_GRUPO();



    /** Getter for property Q022BT00_ID_GRUPO_WHERE.

    * @return Value of property Q022BT00_ID_GRUPO_WHERE.

    */

    public Integer getQ022BT00_ID_GRUPO_WHERE();



    /** Getter for property Q022DT00_ID_CUES.

    * @return Value of property Q022DT00_ID_CUES.

    */

    public Long getQ022DT00_ID_CUES();



    /** Getter for property Q022DT00_ID_CUES_WHERE.

    * @return Value of property Q022DT00_ID_CUES_WHERE.

    */

    public Long getQ022DT00_ID_CUES_WHERE();



    /** Getter for property Q022DT00_IDEN_LICEN.

    * @return Value of property Q022DT00_IDEN_LICEN.

    */

    public String getQ022DT00_IDEN_LICEN();



    /** Getter for property Q022DT00_IDEN_LICEN_WHERE.

    * @return Value of property Q022DT00_IDEN_LICEN_WHERE.

    */

    public String getQ022DT00_IDEN_LICEN_WHERE();



    /** Getter for property Q022DT00_FEC_ENT.

    * @return Value of property Q022DT00_FEC_ENT.

    */

    public java.util.Date getQ022DT00_FEC_ENT();



    /** Getter for property Q022DT00_FEC_ENT_WHERE.

    * @return Value of property Q022DT00_FEC_ENT_WHERE.

    */

    public java.util.Date getQ022DT00_FEC_ENT_WHERE();



    /** Getter for property Q022DT00_ESTADO_LICEN.

    * @return Value of property Q022DT00_ESTADO_LICEN.

    */

    public String getQ022DT00_ESTADO_LICEN();



    /** Getter for property Q022DT00_ESTADO_LICEN_WHERE.

    * @return Value of property Q022DT00_ESTADO_LICEN_WHERE.

    */

    public String getQ022DT00_ESTADO_LICEN_WHERE();



    /** Getter for property Q022DT00_CAUSA_BAJA.

    * @return Value of property Q022DT00_CAUSA_BAJA.

    */

    public String getQ022DT00_CAUSA_BAJA();



    /** Getter for property Q022DT00_CAUSA_BAJA_WHERE.

    * @return Value of property Q022DT00_CAUSA_BAJA_WHERE.

    */

    public String getQ022DT00_CAUSA_BAJA_WHERE();



    /** Getter for property Q022DT00_ENTI.

    * @return Value of property Q022DT00_ENTI.

    */

    public Long getQ022DT00_ENTI();



    /** Getter for property Q022DT00_ENTI_WHERE.

    * @return Value of property Q022DT00_ENTI_WHERE.

    */

    public Long getQ022DT00_ENTI_WHERE();



    /** Getter for property Q022DT00_TVIA.

    * @return Value of property Q022DT00_TVIA.

    */

    public String getQ022DT00_TVIA();



    /** Getter for property Q022DT00_TVIA_WHERE.

    * @return Value of property Q022DT00_TVIA_WHERE.

    */

    public String getQ022DT00_TVIA_WHERE();



    /** Getter for property Q022DT00_CALLE.

    * @return Value of property Q022DT00_CALLE.

    */

    public Long getQ022DT00_CALLE();



    /** Getter for property Q022DT00_CALLE_WHERE.

    * @return Value of property Q022DT00_CALLE_WHERE.

    */

    public Long getQ022DT00_CALLE_WHERE();



    /** Getter for property Q022DT00_POR_CL_POR.

    * @return Value of property Q022DT00_POR_CL_POR.

    */

    public Long getQ022DT00_POR_CL_POR();



    /** Getter for property Q022DT00_POR_CL_POR_WHERE.

    * @return Value of property Q022DT00_POR_CL_POR_WHERE.

    */

    public Long getQ022DT00_POR_CL_POR_WHERE();



    /** Getter for property Q022DT00_BLOQ.

    * @return Value of property Q022DT00_BLOQ.

    */

    public String getQ022DT00_BLOQ();



    /** Getter for property Q022DT00_BLOQ_WHERE.

    * @return Value of property Q022DT00_BLOQ_WHERE.

    */

    public String getQ022DT00_BLOQ_WHERE();



    /** Getter for property Q022DT00_NUME.

    * @return Value of property Q022DT00_NUME.

    */

    public Integer getQ022DT00_NUME();



    /** Getter for property Q022DT00_NUME_WHERE.

    * @return Value of property Q022DT00_NUME_WHERE.

    */

    public Integer getQ022DT00_NUME_WHERE();



    /** Getter for property Q022DT00_BIS.

    * @return Value of property Q022DT00_BIS.

    */

    public String getQ022DT00_BIS();



    /** Getter for property Q022DT00_BIS_WHERE.

    * @return Value of property Q022DT00_BIS_WHERE.

    */

    public String getQ022DT00_BIS_WHERE();



    /** Getter for property Q022DT00_CDIR.

    * @return Value of property Q022DT00_CDIR.

    */

    public String getQ022DT00_CDIR();



    /** Getter for property Q022DT00_CDIR_WHERE.

    * @return Value of property Q022DT00_CDIR_WHERE.

    */

    public String getQ022DT00_CDIR_WHERE();



    /** Getter for property Q022DT00_RS_PROMO.

    * @return Value of property Q022DT00_RS_PROMO.

    */

    public String getQ022DT00_RS_PROMO();



    /** Getter for property Q022DT00_RS_PROMO_WHERE.

    * @return Value of property Q022DT00_RS_PROMO_WHERE.

    */

    public String getQ022DT00_RS_PROMO_WHERE();



    /** Getter for property Q022DT00_CIF_DNI.

    * @return Value of property Q022DT00_CIF_DNI.

    */

    public String getQ022DT00_CIF_DNI();



    /** Getter for property Q022DT00_CIF_DNI_WHERE.

    * @return Value of property Q022DT00_CIF_DNI_WHERE.

    */

    public String getQ022DT00_CIF_DNI_WHERE();



    /** Getter for property Q022DT00_MUN_PROV.

    * @return Value of property Q022DT00_MUN_PROV.

    */

    public String getQ022DT00_MUN_PROV();



    /** Getter for property Q022DT00_MUN_PROV_WHERE.

    * @return Value of property Q022DT00_MUN_PROV_WHERE.

    */

    public String getQ022DT00_MUN_PROV_WHERE();



    /** Getter for property Q022DT00_MUN_MUNI.

    * @return Value of property Q022DT00_MUN_MUNI.

    */

    public String getQ022DT00_MUN_MUNI();



    /** Getter for property Q022DT00_MUN_MUNI_WHERE.

    * @return Value of property Q022DT00_MUN_MUNI_WHERE.

    */

    public String getQ022DT00_MUN_MUNI_WHERE();



    /** Getter for property Q022DT00_ENTI_PRO.

    * @return Value of property Q022DT00_ENTI_PRO.

    */

    public Long getQ022DT00_ENTI_PRO();



    /** Getter for property Q022DT00_ENTI_PRO_WHERE.

    * @return Value of property Q022DT00_ENTI_PRO_WHERE.

    */

    public Long getQ022DT00_ENTI_PRO_WHERE();



    /** Getter for property Q022DT00_TVIA_PRO.

    * @return Value of property Q022DT00_TVIA_PRO.

    */

    public String getQ022DT00_TVIA_PRO();



    /** Getter for property Q022DT00_TVIA_PRO_WHERE.

    * @return Value of property Q022DT00_TVIA_PRO_WHERE.

    */

    public String getQ022DT00_TVIA_PRO_WHERE();



    /** Getter for property Q022DT00_CALLE_PRO.

    * @return Value of property Q022DT00_CALLE_PRO.

    */

    public Long getQ022DT00_CALLE_PRO();



    /** Getter for property Q022DT00_CALLE_PRO_WHERE.

    * @return Value of property Q022DT00_CALLE_PRO_WHERE.

    */

    public Long getQ022DT00_CALLE_PRO_WHERE();



    /** Getter for property Q022DT00_POR_CL_POR_PRO.

    * @return Value of property Q022DT00_POR_CL_POR_PRO.

    */

    public Long getQ022DT00_POR_CL_POR_PRO();



    /** Getter for property Q022DT00_POR_CL_POR_PRO_WHERE.

    * @return Value of property Q022DT00_POR_CL_POR_PRO_WHERE.

    */

    public Long getQ022DT00_POR_CL_POR_PRO_WHERE();



    /** Getter for property Q022DT00_BLOQ_PRO.

    * @return Value of property Q022DT00_BLOQ_PRO.

    */

    public String getQ022DT00_BLOQ_PRO();



    /** Getter for property Q022DT00_BLOQ_PRO_WHERE.

    * @return Value of property Q022DT00_BLOQ_PRO_WHERE.

    */

    public String getQ022DT00_BLOQ_PRO_WHERE();



    /** Getter for property Q022DT00_NUME_PRO.

    * @return Value of property Q022DT00_NUME_PRO.

    */

    public Integer getQ022DT00_NUME_PRO();



    /** Getter for property Q022DT00_NUME_PRO_WHERE.

    * @return Value of property Q022DT00_NUME_PRO_WHERE.

    */

    public Integer getQ022DT00_NUME_PRO_WHERE();



    /** Getter for property Q022DT00_BIS_PRO.

    * @return Value of property Q022DT00_BIS_PRO.

    */

    public String getQ022DT00_BIS_PRO();



    /** Getter for property Q022DT00_BIS_PRO_WHERE.

    * @return Value of property Q022DT00_BIS_PRO_WHERE.

    */

    public String getQ022DT00_BIS_PRO_WHERE();



    /** Getter for property Q022DT00_CDIR_PRO.

    * @return Value of property Q022DT00_CDIR_PRO.

    */

    public String getQ022DT00_CDIR_PRO();



    /** Getter for property Q022DT00_CDIR_PRO_WHERE.

    * @return Value of property Q022DT00_CDIR_PRO_WHERE.

    */

    public String getQ022DT00_CDIR_PRO_WHERE();



    /** Getter for property Q022DT00_TLF.

    * @return Value of property Q022DT00_TLF.

    */

    public String getQ022DT00_TLF();



    /** Getter for property Q022DT00_TLF_WHERE.

    * @return Value of property Q022DT00_TLF_WHERE.

    */

    public String getQ022DT00_TLF_WHERE();



    /** Getter for property Q022DT00_MAIL.

    * @return Value of property Q022DT00_MAIL.

    */

    public String getQ022DT00_MAIL();



    /** Getter for property Q022DT00_MAIL_WHERE.

    * @return Value of property Q022DT00_MAIL_WHERE.

    */

    public String getQ022DT00_MAIL_WHERE();



    /** Getter for property Q022DT00_FAX.

    * @return Value of property Q022DT00_FAX.

    */

    public String getQ022DT00_FAX();



    /** Getter for property Q022DT00_FAX_WHERE.

    * @return Value of property Q022DT00_FAX_WHERE.

    */

    public String getQ022DT00_FAX_WHERE();



    /** Getter for property Q022DT00_WEB.

    * @return Value of property Q022DT00_WEB.

    */

    public String getQ022DT00_WEB();



    /** Getter for property Q022DT00_WEB_WHERE.

    * @return Value of property Q022DT00_WEB_WHERE.

    */

    public String getQ022DT00_WEB_WHERE();



    /** Getter for property Q022DT00_PRESUPUESTO.

    * @return Value of property Q022DT00_PRESUPUESTO.

    */

    public Double getQ022DT00_PRESUPUESTO();



    /** Getter for property Q022DT00_PRESUPUESTO_WHERE.

    * @return Value of property Q022DT00_PRESUPUESTO_WHERE.

    */

    public Double getQ022DT00_PRESUPUESTO_WHERE();



    /** Getter for property Q022DT00_F_INI.

    * @return Value of property Q022DT00_F_INI.

    */

    public java.util.Date getQ022DT00_F_INI();



    /** Getter for property Q022DT00_F_INI_WHERE.

    * @return Value of property Q022DT00_F_INI_WHERE.

    */

    public java.util.Date getQ022DT00_F_INI_WHERE();



    /** Getter for property Q022DT00_F_FIN.

    * @return Value of property Q022DT00_F_FIN.

    */

    public java.util.Date getQ022DT00_F_FIN();



    /** Getter for property Q022DT00_F_FIN_WHERE.

    * @return Value of property Q022DT00_F_FIN_WHERE.

    */

    public java.util.Date getQ022DT00_F_FIN_WHERE();



    /** Getter for property Q022DT00_TIPO_OBRA.

    * @return Value of property Q022DT00_TIPO_OBRA.

    */

    public String getQ022DT00_TIPO_OBRA();



    /** Getter for property Q022DT00_TIPO_OBRA_WHERE.

    * @return Value of property Q022DT00_TIPO_OBRA_WHERE.

    */

    public String getQ022DT00_TIPO_OBRA_WHERE();



    /** Getter for property Q022DT00_USO_RES.

    * @return Value of property Q022DT00_USO_RES.

    */

    public String getQ022DT00_USO_RES();



    /** Getter for property Q022DT00_USO_RES_WHERE.

    * @return Value of property Q022DT00_USO_RES_WHERE.

    */

    public String getQ022DT00_USO_RES_WHERE();



    /** Getter for property Q022DT00_ACTIVIDAD.

    * @return Value of property Q022DT00_ACTIVIDAD.

    */

    public String getQ022DT00_ACTIVIDAD();



    /** Getter for property Q022DT00_ACTIVIDAD_WHERE.

    * @return Value of property Q022DT00_ACTIVIDAD_WHERE.

    */

    public String getQ022DT00_ACTIVIDAD_WHERE();



    /** Getter for property Q022DT00_NVN.

    * @return Value of property Q022DT00_NVN.

    */

    public Integer getQ022DT00_NVN();



    /** Getter for property Q022DT00_NVN_WHERE.

    * @return Value of property Q022DT00_NVN_WHERE.

    */

    public Integer getQ022DT00_NVN_WHERE();



    /** Getter for property Q022DT00_NVR.

    * @return Value of property Q022DT00_NVR.

    */

    public Integer getQ022DT00_NVR();



    /** Getter for property Q022DT00_NVR_WHERE.

    * @return Value of property Q022DT00_NVR_WHERE.

    */

    public Integer getQ022DT00_NVR_WHERE();



    /** Getter for property Q022DT00_NVL.

    * @return Value of property Q022DT00_NVL.

    */

    public Integer getQ022DT00_NVL();



    /** Getter for property Q022DT00_NVL_WHERE.

    * @return Value of property Q022DT00_NVL_WHERE.

    */

    public Integer getQ022DT00_NVL_WHERE();



    /** Getter for property Q022DT00_NVVPO.

    * @return Value of property Q022DT00_NVVPO.

    */

    public Integer getQ022DT00_NVVPO();



    /** Getter for property Q022DT00_NVVPO_WHERE.

    * @return Value of property Q022DT00_NVVPO_WHERE.

    */

    public Integer getQ022DT00_NVVPO_WHERE();



    /** Getter for property Q022DT00_NVVS.

    * @return Value of property Q022DT00_NVVS.

    */

    public Integer getQ022DT00_NVVS();



    /** Getter for property Q022DT00_NVVS_WHERE.

    * @return Value of property Q022DT00_NVVS_WHERE.

    */

    public Integer getQ022DT00_NVVS_WHERE();



    /** Getter for property Q022DT00_NVPOT.

    * @return Value of property Q022DT00_NVPOT.

    */

    public Integer getQ022DT00_NVPOT();



    /** Getter for property Q022DT00_NVPOT_WHERE.

    * @return Value of property Q022DT00_NVPOT_WHERE.

    */

    public Integer getQ022DT00_NVPOT_WHERE();



    /** Getter for property Q022DT00_NVALDOT.

    * @return Value of property Q022DT00_NVALDOT.

    */

    public Integer getQ022DT00_NVALDOT();



    /** Getter for property Q022DT00_NVALDOT_WHERE.

    * @return Value of property Q022DT00_NVALDOT_WHERE.

    */

    public Integer getQ022DT00_NVALDOT_WHERE();



    /** Getter for property Q022DT00_NVREAL.

    * @return Value of property Q022DT00_NVREAL.

    */

    public Integer getQ022DT00_NVREAL();



    /** Getter for property Q022DT00_NVREAL_WHERE.

    * @return Value of property Q022DT00_NVREAL_WHERE.

    */

    public Integer getQ022DT00_NVREAL_WHERE();



    /** Getter for property Q022DT00_NVVTMG.

    * @return Value of property Q022DT00_NVVTMG.

    */

    public Integer getQ022DT00_NVVTMG();



    /** Getter for property Q022DT00_NVVTMG_WHERE.

    * @return Value of property Q022DT00_NVVTMG_WHERE.

    */

    public Integer getQ022DT00_NVVTMG_WHERE();



    /** Getter for property Q022DT00_NVVTME.

    * @return Value of property Q022DT00_NVVTME.

    */

    public Integer getQ022DT00_NVVTME();



    /** Getter for property Q022DT00_NVVTME_WHERE.

    * @return Value of property Q022DT00_NVVTME_WHERE.

    */

    public Integer getQ022DT00_NVVTME_WHERE();



    /** Getter for property Q022DT00_NTOT.

    * @return Value of property Q022DT00_NTOT.

    */

    public Integer getQ022DT00_NTOT();



    /** Getter for property Q022DT00_NTOT_WHERE.

    * @return Value of property Q022DT00_NTOT_WHERE.

    */

    public Integer getQ022DT00_NTOT_WHERE();



    /** Getter for property Q022DT00_NSP45.

    * @return Value of property Q022DT00_NSP45.

    */

    public Integer getQ022DT00_NSP45();



    /** Getter for property Q022DT00_NSP45_WHERE.

    * @return Value of property Q022DT00_NSP45_WHERE.

    */

    public Integer getQ022DT00_NSP45_WHERE();



    /** Getter for property Q022DT00_NSP75.

    * @return Value of property Q022DT00_NSP75.

    */

    public Integer getQ022DT00_NSP75();



    /** Getter for property Q022DT00_NSP75_WHERE.

    * @return Value of property Q022DT00_NSP75_WHERE.

    */

    public Integer getQ022DT00_NSP75_WHERE();



    /** Getter for property Q022DT00_NSP90.

    * @return Value of property Q022DT00_NSP90.

    */

    public Integer getQ022DT00_NSP90();



    /** Getter for property Q022DT00_NSP90_WHERE.

    * @return Value of property Q022DT00_NSP90_WHERE.

    */

    public Integer getQ022DT00_NSP90_WHERE();



    /** Getter for property Q022DT00_NSP120.

    * @return Value of property Q022DT00_NSP120.

    */

    public Integer getQ022DT00_NSP120();



    /** Getter for property Q022DT00_NSP120_WHERE.

    * @return Value of property Q022DT00_NSP120_WHERE.

    */

    public Integer getQ022DT00_NSP120_WHERE();



    /** Getter for property Q022DT00_NSPT.

    * @return Value of property Q022DT00_NSPT.

    */

    public Integer getQ022DT00_NSPT();



    /** Getter for property Q022DT00_NSPT_WHERE.

    * @return Value of property Q022DT00_NSPT_WHERE.

    */

    public Integer getQ022DT00_NSPT_WHERE();



    /** Getter for property Q022DT00_PRINC_USO.

    * @return Value of property Q022DT00_PRINC_USO.

    */

    public String getQ022DT00_PRINC_USO();



    /** Getter for property Q022DT00_PRINC_USO_WHERE.

    * @return Value of property Q022DT00_PRINC_USO_WHERE.

    */

    public String getQ022DT00_PRINC_USO_WHERE();



    /** Getter for property Q022DT00_PU_ESPECIF.

    * @return Value of property Q022DT00_PU_ESPECIF.

    */

    public String getQ022DT00_PU_ESPECIF();



    /** Getter for property Q022DT00_PU_ESPECIF_WHERE.

    * @return Value of property Q022DT00_PU_ESPECIF_WHERE.

    */

    public String getQ022DT00_PU_ESPECIF_WHERE();



    /** Getter for property Q022DT00_PRECIO_MED.

    * @return Value of property Q022DT00_PRECIO_MED.

    */

    public Double getQ022DT00_PRECIO_MED();



    /** Getter for property Q022DT00_PRECIO_MED_WHERE.

    * @return Value of property Q022DT00_PRECIO_MED_WHERE.

    */

    public Double getQ022DT00_PRECIO_MED_WHERE();



    /** Getter for property Q022DT00_OBS.

    * @return Value of property Q022DT00_OBS.

    */

    public String getQ022DT00_OBS();



    /** Getter for property Q022DT00_OBS_WHERE.

    * @return Value of property Q022DT00_OBS_WHERE.

    */

    public String getQ022DT00_OBS_WHERE();



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor);



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase();



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion();



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog();



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor);



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros();



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor);



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy();



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor);



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere();



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere();



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor);



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere();



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor);



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor);



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct();



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor);



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio();



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor);



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal();



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor);



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows();



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor);



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax();



    /** Getter for property conexion.

    * @return Value of property conexion.

    */

    public Connection getConn();



}

